<template>
    <div>{{ dtstr }}</div>
</template>

<style>
code {
    white-space: pre-wrap !important;
}
</style>

<script>
export default {
    data() {
        return {
            dtstr: "boo",
        };
    },

    mounted: function () {
        this.startTime();
    },

    methods: {
        startTime: function () {
            this.dtstr = new Date().toLocaleTimeString();
            setTimeout(this.startTime, 1000);
        },
    },
};
</script>
